package org.openjdk.gcbench.alloc.uninit;

import org.openjdk.gcbench.tests.UnderPressureTest;
import org.openjdk.jmh.annotations.*;

import java.util.concurrent.TimeUnit;

@BenchmarkMode(Mode.AverageTime)
@OutputTimeUnit(TimeUnit.NANOSECONDS)
@State(Scope.Benchmark)
public class IntArray extends UnderPressureTest {

    @Param({"1"})
    int size;

    @Benchmark
    public Object test() {
        return uninitAlloc(size);
    }

}
